## ganglia 3.7.2

=== debian/changelog ===
ganglia (3.7.2-4) unstable; urgency=medium

   [ Gianfranco Costamagna ]
   * Fix build with glibc >= 2.32. Thanks to Graham Inggs.
     (Closes: #975452).

   [ Marcos Fouces ]
   * Bump to Standards-Version:4.5.1 (no changes required).

 -- Marcos Fouces <marcos@debian.org>  Wed, 13 Jan 2021 23:39:06 +0100

ganglia (3.7.2-3) unstable; urgency=medium

  * Add dep8 tests. Thanks to Yolanda Robla. (Closes: #708145).
  * Update watch file standard to version 4.

 -- Marcos Fouces <marcos@debian.org>  Sat, 21 Nov 2020 22:57:27 +0100

ganglia (3.7.2-2) unstable; urgency=medium

  * Bump to debhelper-compat 13

 -- Marcos Fouces <marcos@debian.org>  Sun, 04 Oct 2020 21:34:24 +0200

ganglia (3.7.2-1) unstable; urgency=medium

  * Stepping in as new maintainer for
    salvaging package (Closes: #964399, #953471)
  * New upstream release. (Closes: #700073).
  * d/patches:
    ~ Delete both patches as they're already applied upstream.
    ~ Add 1_fix-minor-spelling-errors.patch.
  * d/control:
    ~ Bump to dehelper-compat 12. Remove obsolete d/compat file.
    ~ Remove package ganglia-monitor-python as it still depends
      on Python2.x. (Closes: #936581, #967135, #669821, #808160)
    ~ Remove unneeded build-dependencies.
    ~ Add Depends on lsb-base in ganglia-monitor package.
    ~ Set proper for Vcs-* fields. (Closes: #710503)
    ~ Set Rules-Requires-Root: no
    ~ Add Pre-Depends: ${misc:Pre-Depends} for ganglia-monitor
      and gmetad packages.
    ~ Bump to Standards-Version 4.5.0 (some changes needed).
  * d/rules:
    ~ Simplify rules file.
    ~ Build gmetad along all the rest.
    ~ Remove unneeded *.la files in libganglia1-dev package.
    ~ Add target to add multiarch support to gmond configuration file.
    ~ Create link for libganglia.so.0 in all architectures.
  * d/{ganglia-monitor,gmetad}.init
    ~ Major rewrite.
    ~ Add pid-file support. (Closes: #526146)
    ~ Source init functions.
    ~ Add support for status argument (as per policy).(Closes: #712929)
  * Update paths for multiarch build in libganglia1 and dev packages.
  * Remove d/libganglia1-dev.manpages. There is no more man pages for it.
  * Update d/copyright to be dep-5 compliant.
  * Delete unneeded ganglia-monitor-python.dir file
  * Add service files for ganglia-monitor and gmetad. (Closes: #838490).
  * Add upstream metadata.
  * Install gmetad.conf in /etc/ganglia/.
  * Rewrite {post}{inst,rm} files. (Closes: #815615, #586912)
  * Update maintainer email to @debian.org

 -- Marcos Fouces <marcos@debian.org>  Fri, 02 Oct 2020 00:13:21 +0200

ganglia (3.6.0-7) unstable; urgency=high

  * Add missing targets build-arch and build-indep. (Closes: #821985)

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 07 Jul 2016 08:26:49 +0200

ganglia (3.6.0-6.1) unstable; urgency=high

  * Non-maintainer upload.
  * Updated build-dependencies. Thanks Michael Tautschnig. (Closes: #812462)

 -- Jean-Michel Vourgère <nirgal@debian.org>  Fri, 06 May 2016 18:22:47 +0000
