=== debian/control ===
Source: ganglia
Section: net
Priority: optional
Maintainer: Marcos Fouces <marcos@debian.org>
Uploaders: Stuart Teasdale <sdt@debian.org>
Homepage: http://ganglia.info/
Build-Depends: debhelper-compat (=13), librrd-dev, libapr1-dev, libexpat1-dev, libconfuse-dev, po-debconf, libxml2-dev, libdbi0-dev, libpcre3-dev, gperf, rsync, libkvm-dev [kfreebsd-any], pkg-config, libz-dev, libtirpc-dev
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/debian/ganglia.git
Vcs-Browser: https://salsa.debian.org/debian/ganglia
Rules-Requires-Root: no

Package: ganglia-monitor
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, adduser, libganglia1 (=${binary:Version}), lsb-base
Pre-Depends: ${misc:Pre-Depends}
Description: cluster monitoring toolkit - node daemon
 Ganglia is a scalable, real-time cluster monitoring environment
 that collects cluster statistics in an open and well-defined XML format.
 .
 This package contains the monitor core program.

Package: gmetad
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, adduser, libganglia1 (=${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Suggests: ganglia-monitor, ganglia-webfrontend
Description: cluster monitoring toolkit - Ganglia Meta-Daemon
 Ganglia is a scalable, real-time cluster monitoring environment
 that collects cluster statistics in an open and well-defined XML format.
 .
 This package contains the 'gmetad' daemon, which collects information from
 ganglia monitor clients and writes it to RRD databases.

Package: libganglia1
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: cluster monitoring toolkit - shared libraries
 Ganglia is a scalable, real-time cluster monitoring environment
 that collects cluster statistics in an open and well-defined XML format.
 .
 This package contains shared libraries.

Package: libganglia1-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libganglia1 (=${binary:Version}), ${shlibs:Depends}
Description: cluster monitoring toolkit - development libraries
 Ganglia is a scalable, real-time cluster monitoring environment
 that collects cluster statistics in an open and well-defined XML format.
 .
 This package contains development libraries.
