=== debian/watch ===
version=4
http://sf.net/ganglia/ganglia-(\d.+)\.tar\.gz
