=== debian/control ===
Source: jobmonarch
Section: misc
Priority: optional
Maintainer: Job Monarch Development team <jobmonarch-developers@lists.sourceforge.net>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.3
Homepage: https://oss.trac.surfsara.nl/jobmonarch

Package: jobmonarch-jobmond
Architecture: all
Essential: no
Depends: ${python:Depends} (>=2.3), ganglia-monitor (>=3.3.8)
Description: Job Monitoring Daemon
 Job-Monarch is a set of tools to monitor and optionally archive (batch) job
 information. It is a addon for the Ganglia monitoring system and plugs into an
 existing Ganglia setup.
 jobmonarch-jobmond is the job monitoring daemon that gathers PBS/Torque/SGE
 batch statistics on jobs/nodes and submits them into Ganglia's XML stream.

Package: jobmonarch-jobarchived
Architecture: all
Essential: no
Depends: ${python:Depends} (>=2.3), gmetad (>=3.3.8), rrdtool (>=1.0), postgresql (>= 8.1.22), python-rrdtool, python-psycopg2, jobmonarch-webfrontend
Description: Job Archiving Daemon
 Job-Monarch is a set of tools to monitor and optionally archive (batch) job
 information. It is a addon for the Ganglia monitoring system and plugs into an
 existing Ganglia setup.
 jobmonach-jobarchived is the Job Archiving Daemon. It listens to Ganglia's
 XML stream and archives the job and node statistics. It stores the job
 statistics in a Postgres SQL database and the node statistics in RRD
 files. Through this daemon, users are able to lookup a old/finished job and
 view all it's statistics.

Package: jobmonarch-webfrontend
Architecture: all
Essential: no
Depends: php5, php5-gd (>= 2.0), php5-pgsql (>= 4.0.0), ganglia-webfrontend (>=3.3.8)
Description: Job MonArch's Web Frontend
 Job-Monarch is a set of tools to monitor and optionally archive (batch) job
 information. It is a addon for the Ganglia monitoring system and plugs into an
 existing Ganglia setup.
 The Job Monarch web frontend interfaces with the
 jobmond data and (optionally) the jobarchived and presents the data and
 graphs. It does this in a similar layout/setup as Ganglia itself, so the
 navigation and usage is intuitive.
