=== debian/rules ===
#!/usr/bin/make -f

BUILDDIR := debian/tmp
DESTDIR := ${CURDIR}/${BUILDDIR}

%:
	dh $@ --with python2

override_dh_auto_install:
	$(MAKE) DESTDIR=$(DESTDIR)/ PREFIX=/usr GANGLIA_ROOT=/usr/share/ganglia-webfrontend GANGLIA_USER=ganglia HTTPD_USER=www-data JOBARCHIVE_RRDS=/var/lib/jobarchive install
